|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerCustomWidgetCollectionInterface Class Reference

The QDesignerCustomWidgetCollectionInterface provides an interface that is used to manage collections of custom widgets in Qt Designer. More...

    #include <QDesignerCustomWidgetCollectionInterface>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerCustomWidgetCollectionInterface ()
- virtual QList<QDesignerCustomWidgetInterface *> customWidgets () const = 0

## Detailed Description

The QDesignerCustomWidgetCollectionInterface provides an interface that is used to manage collections of custom widgets in Qt Designer.

## Member Function Documentation

### QDesignerCustomWidgetCollectionInterface::~QDesignerCustomWidgetCollectionInterface () `[virtual]`

Destroys the interface.

### QList<QDesignerCustomWidgetInterface *> QDesignerCustomWidgetCollectionInterface::customWidgets () const `[pure virtual]`

Returns a list of interfaces to the custom widgets in the container.